Hi,


I have had this bad itch to play some d2. Unfortunately my only computer is a mac book. Anyways, when i insert the cd and try to install the game an error message comes up saying, "You cannot open the application "Diablo 2 Installer" because the Classic environment is no longer supported." I had this problem like 6 months ago when i tried to install the game. I contacted a blizzard tech support person and they eventually came to the conclusion that my graphics card wasn't supported by the diablo2 graphics or something of that sort. The lady said they were working on a patch but she didn't know how long it would take. So after the release of the monk I figured they would have fixed the problem with the "classic environment", but they haven't. I was wondering if anyone else has had this problem when trying to install on a mac with an integrated graphics card? If so, were you able to fix this?


Please help.


I did not find the right solution from the Internet.


References:-
https://bit.ly/2LWPq9N
3D Product Video Animation Services



Thanks!